Loading...
Searching...
No Matches
ChecksumEntry Struct Reference

Per-checksum metadata immediately followed by the digest / signature bytes. More...

`#include <aaruformat/structs/checksum.h>`

## Data Fields

uint8_t | type
| Algorithm used (value from ChecksumAlgorithm).
uint32_t | length
| Length in bytes of the digest that immediately follows this structure.

## Detailed Description

Per-checksum metadata immediately followed by the digest / signature bytes.

For fixed-length algorithms the length MUST match the known digest size. For SpamSum it is variable. The bytes immediately following this structure (not null-terminated) constitute the digest and are exactly length bytes long.

Order of entries is not mandated; readers should scan all entries and match by type.

Definition at line 90 of file checksum.h.

## Field Documentation

## length

uint32_t ChecksumEntry::length

Length in bytes of the digest that immediately follows this structure.

Definition at line 93 of file checksum.h.

Referenced by process_checksum_block(), and write_checksum_block().

## type

uint8_t ChecksumEntry::type

Algorithm used (value from ChecksumAlgorithm).

Definition at line 92 of file checksum.h.

Referenced by process_checksum_block(), and write_checksum_block().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/checksum.h